## ncsa.hdf.hdf5lib
Class HDF5CDataTypes

    java.lang.Object
      ncsa.hdf.hdf5lib.HDF5CDataTypes

public class HDF5CDataTypes
extends Object

Class HDF5CDataTypes contains C constants and enumerated types of HDF5 library which are set at runtime, the Java constants need to be converted to C constants with the function call J2C(int) in HDF5Library class. Any constant which starts its name with "JH5" need to be converted. Any constant which start its name with "H5" has the same value as its C constant. For example,

      h5.H5Tcopy(h5.J2C(HDF5CDatatypes.JH5T_NATIVE_INT)); // convert Java value to C value

See also: ncsa.hdf.hdf5lib.HDF5Library See also: ncsa.hdf.hdf5lib.HDF5Constants

Field Summary
`static int` `JH5T_ALPHA_B16`
`static int` `JH5T_ALPHA_B32`
`static int` `JH5T_ALPHA_B64`
`static int` `JH5T_ALPHA_B8`
`static int` `JH5T_ALPHA_F32`
`static int` `JH5T_ALPHA_F64`
`static int` `JH5T_ALPHA_I16`
`static int` `JH5T_ALPHA_I32`
`static int` `JH5T_ALPHA_I64`
`static int` `JH5T_ALPHA_I8`
`static int` `JH5T_ALPHA_U16`
`static int` `JH5T_ALPHA_U32`
`static int` `JH5T_ALPHA_U64`
`static int` `JH5T_ALPHA_U8`
`static int` `JH5T_C_S1`
`static int` `JH5T_FORTRAN_S1`
`static int` `JH5T_IEEE_F32BE`
`static int` `JH5T_IEEE_F32LE`
`static int` `JH5T_IEEE_F64BE`
`static int` `JH5T_IEEE_F64LE`
`static int` `JH5T_INTEL_B16`
`static int` `JH5T_INTEL_B32`
`static int` `JH5T_INTEL_B64`
`static int` `JH5T_INTEL_B8`
`static int` `JH5T_INTEL_F32`
`static int` `JH5T_INTEL_F64`
`static int` `JH5T_INTEL_I16`
`static int` `JH5T_INTEL_I32`
`static int` `JH5T_INTEL_I64`
`static int` `JH5T_INTEL_I8`
`static int` `JH5T_INTEL_U16`
`static int` `JH5T_INTEL_U32`
`static int` `JH5T_INTEL_U64`
`static int` `JH5T_INTEL_U8`
`static int` `JH5T_MIPS_B16`
`static int` `JH5T_MIPS_B32`
`static int` `JH5T_MIPS_B64`
`static int` `JH5T_MIPS_B8`
`static int` `JH5T_MIPS_F32`
`static int` `JH5T_MIPS_F64`
`static int` `JH5T_MIPS_I16`
`static int` `JH5T_MIPS_I32`
`static int` `JH5T_MIPS_I64`
`static int` `JH5T_MIPS_I8`
`static int` `JH5T_MIPS_U16`
`static int` `JH5T_MIPS_U32`
`static int` `JH5T_MIPS_U64`
`static int` `JH5T_MIPS_U8`
`static int` `JH5T_NATIVE_B16`
`static int` `JH5T_NATIVE_B32`
`static int` `JH5T_NATIVE_B64`
`static int` `JH5T_NATIVE_B8`
`static int` `JH5T_NATIVE_CHAR`
`static int` `JH5T_NATIVE_DOUBLE`
`static int` `JH5T_NATIVE_FLOAT`
`static int` `JH5T_NATIVE_HBOOL`
`static int` `JH5T_NATIVE_HERR`
`static int` `JH5T_NATIVE_HSIZE`
`static int` `JH5T_NATIVE_HSSIZE`
`static int` `JH5T_NATIVE_INT`
`static int` `JH5T_NATIVE_INT_FAST16`
`static int` `JH5T_NATIVE_INT_FAST32`
`static int` `JH5T_NATIVE_INT_FAST64`
`static int` `JH5T_NATIVE_INT_FAST8`
`static int` `JH5T_NATIVE_INT_LEAST16`
`static int` `JH5T_NATIVE_INT_LEAST32`
`static int` `JH5T_NATIVE_INT_LEAST64`
`static int` `JH5T_NATIVE_INT_LEAST8`
`static int` `JH5T_NATIVE_INT16`
`static int` `JH5T_NATIVE_INT32`
`static int` `JH5T_NATIVE_INT64`
`static int` `JH5T_NATIVE_INT8`
`static int` `JH5T_NATIVE_LDOUBLE`
`static int` `JH5T_NATIVE_LLONG`
`static int` `JH5T_NATIVE_LONG`
`static int` `JH5T_NATIVE_OPAQUE`
`static int` `JH5T_NATIVE_SCHAR`
`static int` `JH5T_NATIVE_SHORT`
`static int` `JH5T_NATIVE_UCHAR`
`static int` `JH5T_NATIVE_UINT`
`static int` `JH5T_NATIVE_UINT_FAST16`
`static int` `JH5T_NATIVE_UINT_FAST32`
`static int` `JH5T_NATIVE_UINT_FAST64`
`static int` `JH5T_NATIVE_UINT_FAST8`
`static int` `JH5T_NATIVE_UINT_LEAST16`
`static int` `JH5T_NATIVE_UINT_LEAST32`
`static int` `JH5T_NATIVE_UINT_LEAST64`
`static int` `JH5T_NATIVE_UINT_LEAST8`
`static int` `JH5T_NATIVE_UINT16`
`static int` `JH5T_NATIVE_UINT32`
`static int` `JH5T_NATIVE_UINT64`
`static int` `JH5T_NATIVE_UINT8`
`static int` `JH5T_NATIVE_ULLONG`
`static int` `JH5T_NATIVE_ULONG`
`static int` `JH5T_NATIVE_USHORT`
`static int` `JH5T_NCSET`
`static int` `JH5T_NSTR`
`static int` `JH5T_STD_B16BE`
`static int` `JH5T_STD_B16LE`
`static int` `JH5T_STD_B32BE`
`static int` `JH5T_STD_B32LE`
`static int` `JH5T_STD_B64BE`
`static int` `JH5T_STD_B64LE`
`static int` `JH5T_STD_B8BE`
`static int` `JH5T_STD_B8LE`
`static int` `JH5T_STD_I16BE`
`static int` `JH5T_STD_I16LE`
`static int` `JH5T_STD_I32BE`
`static int` `JH5T_STD_I32LE`
`static int` `JH5T_STD_I64BE`
`static int` `JH5T_STD_I64LE`
`static int` `JH5T_STD_I8BE`
`static int` `JH5T_STD_I8LE`
`static int` `JH5T_STD_REF_DSETREG`
`static int` `JH5T_STD_REF_OBJ`
`static int` `JH5T_STD_U16BE`
`static int` `JH5T_STD_U16LE`
`static int` `JH5T_STD_U32BE`
`static int` `JH5T_STD_U32LE`
`static int` `JH5T_STD_U64BE`
`static int` `JH5T_STD_U64LE`
`static int` `JH5T_STD_U8BE`
`static int` `JH5T_STD_U8LE`
`static int` `JH5T_UNIX_D32BE`
`static int` `JH5T_UNIX_D32LE`
`static int` `JH5T_UNIX_D64BE`
`static int` `JH5T_UNIX_D64LE`

Constructor Summary
`HDF5CDataTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JH5T_ALPHA_B16

    public static final int JH5T_ALPHA_B16

See Also:
  Constant Field Values

### JH5T_ALPHA_B32

    public static final int JH5T_ALPHA_B32

See Also:
  Constant Field Values

### JH5T_ALPHA_B64

    public static final int JH5T_ALPHA_B64

See Also:
  Constant Field Values

### JH5T_ALPHA_B8

    public static final int JH5T_ALPHA_B8

See Also:
  Constant Field Values

### JH5T_ALPHA_F32

    public static final int JH5T_ALPHA_F32

See Also:
  Constant Field Values

### JH5T_ALPHA_F64

    public static final int JH5T_ALPHA_F64

See Also:
  Constant Field Values

### JH5T_ALPHA_I16

    public static final int JH5T_ALPHA_I16

See Also:
  Constant Field Values

### JH5T_ALPHA_I32

    public static final int JH5T_ALPHA_I32

See Also:
  Constant Field Values

### JH5T_ALPHA_I64

    public static final int JH5T_ALPHA_I64

See Also:
  Constant Field Values

### JH5T_ALPHA_I8

    public static final int JH5T_ALPHA_I8

See Also:
  Constant Field Values

### JH5T_ALPHA_U16

    public static final int JH5T_ALPHA_U16

See Also:
  Constant Field Values

### JH5T_ALPHA_U32

    public static final int JH5T_ALPHA_U32

See Also:
  Constant Field Values

### JH5T_ALPHA_U64

    public static final int JH5T_ALPHA_U64

See Also:
  Constant Field Values

### JH5T_ALPHA_U8

    public static final int JH5T_ALPHA_U8

See Also:
  Constant Field Values

### JH5T_C_S1

    public static final int JH5T_C_S1

See Also:
  Constant Field Values

### JH5T_FORTRAN_S1

    public static final int JH5T_FORTRAN_S1

See Also:
  Constant Field Values

### JH5T_IEEE_F32BE

    public static final int JH5T_IEEE_F32BE

See Also:
  Constant Field Values

### JH5T_IEEE_F32LE

    public static final int JH5T_IEEE_F32LE

See Also:
  Constant Field Values

### JH5T_IEEE_F64BE

    public static final int JH5T_IEEE_F64BE

See Also:
  Constant Field Values

### JH5T_IEEE_F64LE

    public static final int JH5T_IEEE_F64LE

See Also:
  Constant Field Values

### JH5T_INTEL_B16

    public static final int JH5T_INTEL_B16

See Also:
  Constant Field Values

### JH5T_INTEL_B32

    public static final int JH5T_INTEL_B32

See Also:
  Constant Field Values

### JH5T_INTEL_B64

    public static final int JH5T_INTEL_B64

See Also:
  Constant Field Values

### JH5T_INTEL_B8

    public static final int JH5T_INTEL_B8

See Also:
  Constant Field Values

### JH5T_INTEL_F32

    public static final int JH5T_INTEL_F32

See Also:
  Constant Field Values

### JH5T_INTEL_F64

    public static final int JH5T_INTEL_F64

See Also:
  Constant Field Values

### JH5T_INTEL_I16

    public static final int JH5T_INTEL_I16

See Also:
  Constant Field Values

### JH5T_INTEL_I32

    public static final int JH5T_INTEL_I32

See Also:
  Constant Field Values

### JH5T_INTEL_I64

    public static final int JH5T_INTEL_I64

See Also:
  Constant Field Values

### JH5T_INTEL_I8

    public static final int JH5T_INTEL_I8

See Also:
  Constant Field Values

### JH5T_INTEL_U16

    public static final int JH5T_INTEL_U16

See Also:
  Constant Field Values

### JH5T_INTEL_U32

    public static final int JH5T_INTEL_U32

See Also:
  Constant Field Values

### JH5T_INTEL_U64

    public static final int JH5T_INTEL_U64

See Also:
  Constant Field Values

### JH5T_INTEL_U8

    public static final int JH5T_INTEL_U8

See Also:
  Constant Field Values

### JH5T_MIPS_B16

    public static final int JH5T_MIPS_B16

See Also:
  Constant Field Values

### JH5T_MIPS_B32

    public static final int JH5T_MIPS_B32

See Also:
  Constant Field Values

### JH5T_MIPS_B64

    public static final int JH5T_MIPS_B64

See Also:
  Constant Field Values

### JH5T_MIPS_B8

    public static final int JH5T_MIPS_B8

See Also:
  Constant Field Values

### JH5T_MIPS_F32

    public static final int JH5T_MIPS_F32

See Also:
  Constant Field Values

### JH5T_MIPS_F64

    public static final int JH5T_MIPS_F64

See Also:
  Constant Field Values

### JH5T_MIPS_I16

    public static final int JH5T_MIPS_I16

See Also:
  Constant Field Values

### JH5T_MIPS_I32

    public static final int JH5T_MIPS_I32

See Also:
  Constant Field Values

### JH5T_MIPS_I64

    public static final int JH5T_MIPS_I64

See Also:
  Constant Field Values

### JH5T_MIPS_I8

    public static final int JH5T_MIPS_I8

See Also:
  Constant Field Values

### JH5T_MIPS_U16

    public static final int JH5T_MIPS_U16

See Also:
  Constant Field Values

### JH5T_MIPS_U32

    public static final int JH5T_MIPS_U32

See Also:
  Constant Field Values

### JH5T_MIPS_U64

    public static final int JH5T_MIPS_U64

See Also:
  Constant Field Values

### JH5T_MIPS_U8

    public static final int JH5T_MIPS_U8

See Also:
  Constant Field Values

### JH5T_NATIVE_B16

    public static final int JH5T_NATIVE_B16

See Also:
  Constant Field Values

### JH5T_NATIVE_B32

    public static final int JH5T_NATIVE_B32

See Also:
  Constant Field Values

### JH5T_NATIVE_B64

    public static final int JH5T_NATIVE_B64

See Also:
  Constant Field Values

### JH5T_NATIVE_B8

    public static final int JH5T_NATIVE_B8

See Also:
  Constant Field Values

### JH5T_NATIVE_CHAR

    public static final int JH5T_NATIVE_CHAR

See Also:
  Constant Field Values

### JH5T_NATIVE_DOUBLE

    public static final int JH5T_NATIVE_DOUBLE

See Also:
  Constant Field Values

### JH5T_NATIVE_FLOAT

    public static final int JH5T_NATIVE_FLOAT

See Also:
  Constant Field Values

### JH5T_NATIVE_HBOOL

    public static final int JH5T_NATIVE_HBOOL

See Also:
  Constant Field Values

### JH5T_NATIVE_HERR

    public static final int JH5T_NATIVE_HERR

See Also:
  Constant Field Values

### JH5T_NATIVE_HSIZE

    public static final int JH5T_NATIVE_HSIZE

See Also:
  Constant Field Values

### JH5T_NATIVE_HSSIZE

    public static final int JH5T_NATIVE_HSSIZE

See Also:
  Constant Field Values

### JH5T_NATIVE_INT

    public static final int JH5T_NATIVE_INT

See Also:
  Constant Field Values

### JH5T_NATIVE_INT_FAST16

    public static final int JH5T_NATIVE_INT_FAST16

See Also:
  Constant Field Values

### JH5T_NATIVE_INT_FAST32

    public static final int JH5T_NATIVE_INT_FAST32

See Also:
  Constant Field Values

### JH5T_NATIVE_INT_FAST64

    public static final int JH5T_NATIVE_INT_FAST64

See Also:
  Constant Field Values

### JH5T_NATIVE_INT_FAST8

    public static final int JH5T_NATIVE_INT_FAST8

See Also:
  Constant Field Values

### JH5T_NATIVE_INT_LEAST16

    public static final int JH5T_NATIVE_INT_LEAST16

See Also:
  Constant Field Values

### JH5T_NATIVE_INT_LEAST32

    public static final int JH5T_NATIVE_INT_LEAST32

See Also:
  Constant Field Values

### JH5T_NATIVE_INT_LEAST64

    public static final int JH5T_NATIVE_INT_LEAST64

See Also:
  Constant Field Values

### JH5T_NATIVE_INT_LEAST8

    public static final int JH5T_NATIVE_INT_LEAST8

See Also:
  Constant Field Values

### JH5T_NATIVE_INT16

    public static final int JH5T_NATIVE_INT16

See Also:
  Constant Field Values

### JH5T_NATIVE_INT32

    public static final int JH5T_NATIVE_INT32

See Also:
  Constant Field Values

### JH5T_NATIVE_INT64

    public static final int JH5T_NATIVE_INT64

See Also:
  Constant Field Values

### JH5T_NATIVE_INT8

    public static final int JH5T_NATIVE_INT8

See Also:
  Constant Field Values

### JH5T_NATIVE_LDOUBLE

    public static final int JH5T_NATIVE_LDOUBLE

See Also:
  Constant Field Values

### JH5T_NATIVE_LLONG

    public static final int JH5T_NATIVE_LLONG

See Also:
  Constant Field Values

### JH5T_NATIVE_LONG

    public static final int JH5T_NATIVE_LONG

See Also:
  Constant Field Values

### JH5T_NATIVE_OPAQUE

    public static final int JH5T_NATIVE_OPAQUE

See Also:
  Constant Field Values

### JH5T_NATIVE_SCHAR

    public static final int JH5T_NATIVE_SCHAR

See Also:
  Constant Field Values

### JH5T_NATIVE_SHORT

    public static final int JH5T_NATIVE_SHORT

See Also:
  Constant Field Values

### JH5T_NATIVE_UCHAR

    public static final int JH5T_NATIVE_UCHAR

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT

    public static final int JH5T_NATIVE_UINT

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT_FAST16

    public static final int JH5T_NATIVE_UINT_FAST16

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT_FAST32

    public static final int JH5T_NATIVE_UINT_FAST32

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT_FAST64

    public static final int JH5T_NATIVE_UINT_FAST64

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT_FAST8

    public static final int JH5T_NATIVE_UINT_FAST8

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT_LEAST16

    public static final int JH5T_NATIVE_UINT_LEAST16

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT_LEAST32

    public static final int JH5T_NATIVE_UINT_LEAST32

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT_LEAST64

    public static final int JH5T_NATIVE_UINT_LEAST64

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT_LEAST8

    public static final int JH5T_NATIVE_UINT_LEAST8

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT16

    public static final int JH5T_NATIVE_UINT16

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT32

    public static final int JH5T_NATIVE_UINT32

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT64

    public static final int JH5T_NATIVE_UINT64

See Also:
  Constant Field Values

### JH5T_NATIVE_UINT8

    public static final int JH5T_NATIVE_UINT8

See Also:
  Constant Field Values

### JH5T_NATIVE_ULLONG

    public static final int JH5T_NATIVE_ULLONG

See Also:
  Constant Field Values

### JH5T_NATIVE_ULONG

    public static final int JH5T_NATIVE_ULONG

See Also:
  Constant Field Values

### JH5T_NATIVE_USHORT

    public static final int JH5T_NATIVE_USHORT

See Also:
  Constant Field Values

### JH5T_NCSET

    public static final int JH5T_NCSET

See Also:
  Constant Field Values

### JH5T_NSTR

    public static final int JH5T_NSTR

See Also:
  Constant Field Values

### JH5T_STD_B16BE

    public static final int JH5T_STD_B16BE

See Also:
  Constant Field Values

### JH5T_STD_B16LE

    public static final int JH5T_STD_B16LE

See Also:
  Constant Field Values

### JH5T_STD_B32BE

    public static final int JH5T_STD_B32BE

See Also:
  Constant Field Values

### JH5T_STD_B32LE

    public static final int JH5T_STD_B32LE

See Also:
  Constant Field Values

### JH5T_STD_B64BE

    public static final int JH5T_STD_B64BE

See Also:
  Constant Field Values

### JH5T_STD_B64LE

    public static final int JH5T_STD_B64LE

See Also:
  Constant Field Values

### JH5T_STD_B8BE

    public static final int JH5T_STD_B8BE

See Also:
  Constant Field Values

### JH5T_STD_B8LE

    public static final int JH5T_STD_B8LE

See Also:
  Constant Field Values

### JH5T_STD_I16BE

    public static final int JH5T_STD_I16BE

See Also:
  Constant Field Values

### JH5T_STD_I16LE

    public static final int JH5T_STD_I16LE

See Also:
  Constant Field Values

### JH5T_STD_I32BE

    public static final int JH5T_STD_I32BE

See Also:
  Constant Field Values

### JH5T_STD_I32LE

    public static final int JH5T_STD_I32LE

See Also:
  Constant Field Values

### JH5T_STD_I64BE

    public static final int JH5T_STD_I64BE

See Also:
  Constant Field Values

### JH5T_STD_I64LE

    public static final int JH5T_STD_I64LE

See Also:
  Constant Field Values

### JH5T_STD_I8BE

    public static final int JH5T_STD_I8BE

See Also:
  Constant Field Values

### JH5T_STD_I8LE

    public static final int JH5T_STD_I8LE

See Also:
  Constant Field Values

### JH5T_STD_REF_DSETREG

    public static final int JH5T_STD_REF_DSETREG

See Also:
  Constant Field Values

### JH5T_STD_REF_OBJ

    public static final int JH5T_STD_REF_OBJ

See Also:
  Constant Field Values

### JH5T_STD_U16BE

    public static final int JH5T_STD_U16BE

See Also:
  Constant Field Values

### JH5T_STD_U16LE

    public static final int JH5T_STD_U16LE

See Also:
  Constant Field Values

### JH5T_STD_U32BE

    public static final int JH5T_STD_U32BE

See Also:
  Constant Field Values

### JH5T_STD_U32LE

    public static final int JH5T_STD_U32LE

See Also:
  Constant Field Values

### JH5T_STD_U64BE

    public static final int JH5T_STD_U64BE

See Also:
  Constant Field Values

### JH5T_STD_U64LE

    public static final int JH5T_STD_U64LE

See Also:
  Constant Field Values

### JH5T_STD_U8BE

    public static final int JH5T_STD_U8BE

See Also:
  Constant Field Values

### JH5T_STD_U8LE

    public static final int JH5T_STD_U8LE

See Also:
  Constant Field Values

### JH5T_UNIX_D32BE

    public static final int JH5T_UNIX_D32BE

See Also:
  Constant Field Values

### JH5T_UNIX_D32LE

    public static final int JH5T_UNIX_D32LE

See Also:
  Constant Field Values

### JH5T_UNIX_D64BE

    public static final int JH5T_UNIX_D64BE

See Also:
  Constant Field Values

### JH5T_UNIX_D64LE

    public static final int JH5T_UNIX_D64LE

See Also:
  Constant Field Values

Constructor Detail

### HDF5CDataTypes

    public HDF5CDataTypes()